# Flutter Projects

<a href="https://www.packtpub.com/in/mobile/flutter-projects?utm_source=github&utm_medium=repository&utm_campaign=9781838647773"><img src="https://static.packt-cdn.com/products/9781838647773/cover/smaller" alt="Flutter Projects" height="256px" align="right"></a>

This is the code repository for [Flutter Projects](https://www.packtpub.com/in/mobile/flutter-projects?utm_source=github&utm_medium=repository&utm_campaign=9781838647773), published by Packt.

**A practical, project-based guide to building real-world cross-platform mobile applications and games**

## What is this book about?
Flutter is a modern reactive mobile framework that removes a lot of the complexity found in building native mobile apps for iOS and Android. With Flutter, developers can now build fast and native mobile apps from a single codebase.

This book covers the following exciting features: 
* Design reusable mobile architectures that can be applied to apps at any scale
* Get up to speed with error handling and debugging for mobile application development
* Apply the principle of ‘composition over inheritance’ to break down complex problems into many simple problems
* Update your code and see the results immediately using Flutter’s hot reload
* Identify and prevent bugs from reappearing with Flutter’s developer tools
* Manage an app's state with Streams and the BLoC pattern
* Build a simple web application using Flutter Web

If you feel this book is for you, get your [copy](https://www.amazon.com/dp/1838647775) today!

<a href="https://www.packtpub.com/?utm_source=github&utm_medium=banner&utm_campaign=GitHubBanner"><img src="https://raw.githubusercontent.com/PacktPublishing/GitHub/master/GitHub.png" 
alt="https://www.packtpub.com/" border="5" /></a>


## Instructions and Navigations
All of the code is organized into folders. For example, Chapter02.

The code will look like the following:
```
void main() {
var name = "Dart";
print ("Hello $name!");
}
```

**Following is what you need for this book:**
This book is for mobile developers and software developers who want to learn Flutter to build state-of-the-art mobile apps. Although prior experience with Dart programming or Flutter is not required, knowledge of object-oriented programming (OOP), data structures and software design patterns will be beneficial.

With the following software and hardware list you can run all code files present in the book (Chapter 1-11).

### Software and Hardware List

| Chapter  | Software required                   | OS required                        |
| -------- | ------------------------------------| -----------------------------------|
| 1-11     | Flutter 1.12.13, Dart 2.7.2, Git,   | Windows, Mac OS X, and Linux (Any) |
|          |  Android Studio 3.6.1, VS Code      |                                    |


## Errata
* Page 25, Section: Using getters and setters (code snippet line 5 and 6): **clark.age = 30;** _should be_ **clark_age = 30;** and **print ('${clark.name} ${clark.surname} ${clark.age}');** _should be_ **print ('${clark.name} ${clark.surname} ${clark_age}');**


### Related products <Other books you may enjoy>
* iOS 13 Programming for Beginners - Fourth Edition [[Packt]](https://www.packtpub.com/in/mobile/ios-13-programming-for-beginners-fourth-edition?utm_source=github&utm_medium=repository&utm_campaign=9781838821906) [[Amazon]](https://www.amazon.com/dp/1838821902)

* Linux Device Drivers Development [[Packt]](https://www.packtpub.com/in/mobile/mastering-xamarin-forms-third-edition?utm_source=github&utm_medium=repository&utm_campaign=9781839213380) [[Amazon]](https://www.amazon.com/dp/1839213388)

## Get to Know the Author
**Simone Alessandria**
wrote his first program when he was 12: it was a text-based fantasy game for the Commodore 64. A few years later, he is now a trainer (MCT), author, speaker, passionate software architect, and always a proud coder. He has published several courses on Dart and Flutter on Pluralsight. His mission is to help developers achieve more through training and mentoring.

### Suggestions and Feedback
[Click here](https://docs.google.com/forms/d/e/1FAIpQLSdy7dATC6QmEL81FIUuymZ0Wy9vH1jHkvpY57OiMeKGqib_Ow/viewform) if you 
